SDL_UpdateWindowSurfaceRects(3)

NAME
SDL_UpdateWindowSurfaceRects - Copy areas of the window surface to the screen.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_UpdateWindowSurfaceRects(SDL_Window *window, const SDL_Rect *rects, int numrects);

DESCRIPTION
This is the function you use to reflect changes to portions of the surface on the screen.

This function is equivalent to the SDL 1.2 API

SDL_UpdateRects ().

Note that this function will update _at least_ the rectangles specified, but this is only intended as an optimization; in practice, this might update more of the screen (or all of the screen!), depending on what method SDL uses to send pixels to the system.

FUNCTION PARAMETERS

window
    the window to update.

rects
    an array of SDL_Rect
     structures representing areas of the surface to copy, in pixels.

numrects
    the number of rectangles.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetWindowSurface(3), •(3), SDL_UpdateWindowSurface(3)